Package org.drinkless.tdlib

# Class TdApi.MessagePaymentSuccessful

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageContent
org.drinkless.tdlib.TdApi.MessagePaymentSuccessful

Enclosing class:
  `TdApi`

public static class TdApi.MessagePaymentSuccessful extends TdApi.MessageContent
A payment has been sent to a bot or a business account.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.MessageContent

  `TdApi.MessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `currency`
  Currency for the price of the product.
  `long`
  `invoiceChatId`
  Identifier of the chat, containing the corresponding invoice message.
  `long`
  `invoiceMessageId`
  Identifier of the message with the corresponding invoice; may be 0 or an identifier of a deleted message.
  `String`
  `invoiceName`
  Name of the invoice; may be empty if unknown.
  `boolean`
  `isFirstRecurring`
  True, if this is the first recurring payment.
  `boolean`
  `isRecurring`
  True, if this is a recurring payment.
  `int`
  `subscriptionUntilDate`
  Point in time (Unix timestamp) when the subscription will expire; 0 if unknown or the payment isn't recurring.
  `long`
  `totalAmount`
  Total price for the product, in the smallest units of the currency.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessagePaymentSuccessful()`
  A payment has been sent to a bot or a business account.
  `MessagePaymentSuccessful(long invoiceChatId, long invoiceMessageId, String currency, long totalAmount, int subscriptionUntilDate, boolean isRecurring, boolean isFirstRecurring, String invoiceName)`
  A payment has been sent to a bot or a business account.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### invoiceChatId

    public long invoiceChatId
    Identifier of the chat, containing the corresponding invoice message.

  - ### invoiceMessageId

    public long invoiceMessageId
    Identifier of the message with the corresponding invoice; may be 0 or an identifier of a deleted message.

  - ### currency

    public String currency
    Currency for the price of the product.

  - ### totalAmount

    public long totalAmount
    Total price for the product, in the smallest units of the currency.

  - ### subscriptionUntilDate

    public int subscriptionUntilDate
    Point in time (Unix timestamp) when the subscription will expire; 0 if unknown or the payment isn't recurring.

  - ### isRecurring

    public boolean isRecurring
    True, if this is a recurring payment.

  - ### isFirstRecurring

    public boolean isFirstRecurring
    True, if this is the first recurring payment.

  - ### invoiceName

    public String invoiceName
    Name of the invoice; may be empty if unknown.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessagePaymentSuccessful

    public MessagePaymentSuccessful()
    A payment has been sent to a bot or a business account.

  - ### MessagePaymentSuccessful

    public MessagePaymentSuccessful(long invoiceChatId, long invoiceMessageId, String currency, long totalAmount, int subscriptionUntilDate, boolean isRecurring, boolean isFirstRecurring, String invoiceName)
    A payment has been sent to a bot or a business account.
    Parameters:
      `invoiceChatId` - Identifier of the chat, containing the corresponding invoice message.
      `invoiceMessageId` - Identifier of the message with the corresponding invoice; may be 0 or an identifier of a deleted message.
      `currency` - Currency for the price of the product.
      `totalAmount` - Total price for the product, in the smallest units of the currency.
      `subscriptionUntilDate` - Point in time (Unix timestamp) when the subscription will expire; 0 if unknown or the payment isn't recurring.
      `isRecurring` - True, if this is a recurring payment.
      `isFirstRecurring` - True, if this is the first recurring payment.
      `invoiceName` - Name of the invoice; may be empty if unknown.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.MessageContent`
    Returns:
      this.CONSTRUCTOR